Git Provider Get repository by ID
GET
/control-plane/api/v1/v1/organizations/{organization_id}/git-provider/repositories/{repository_id}

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

organization_idstringrequired

Organization ID


repository_idstringrequired

Repository ID


Responses

200
OK

Example:

{
  "branches": [
    "string"
  ],
  "created_at": "string",
  "default_branch": "string",
  "description": "string",
  "external_id": "string",
  "full_name": "string",
  "id": "string",
  "installation_id": "string",
  "is_archived": true,
  "is_fork": true,
  "last_synced_at": "string",
  "name": "string",
  "organization_id": "string",
  "owner": "string",
  "provider": "string"
}
400
Bad Request

Example:

{
  "key": "value"
}
401
Unauthorized

Example:

{
  "key": "value"
}
404
Not Found

Example:

{
  "key": "value"
}